org.jbpm.process.instance.context.exception

## Class DefaultExceptionScopeInstance

- java.lang.Object
- - org.jbpm.process.instance.context.AbstractContextInstance
  - - org.jbpm.process.instance.context.exception.ExceptionScopeInstance
    - - org.jbpm.process.instance.context.exception.DefaultExceptionScopeInstance

- All Implemented Interfaces:
    Serializable, ContextInstance

      public class DefaultExceptionScopeInstance
      extends ExceptionScopeInstance

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultExceptionScopeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContextType()`
    `void` | `handleException(ExceptionHandler handler, String exception, Object params)`

    - ### Methods inherited from class org.jbpm.process.instance.context.exception.ExceptionScopeInstance

      `getExceptionScope, handleException`

    - ### Methods inherited from class org.jbpm.process.instance.context.AbstractContextInstance

      `getContext, getContextId, getContextInstanceContainer, getProcessInstance, setContextId, setContextInstanceContainer, setProcessInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultExceptionScopeInstance

          public DefaultExceptionScopeInstance()

  - ### Method Detail

    - #### getContextType

          public String getContextType()

      Specified by:
        `getContextType` in interface `ContextInstance`
      Overrides:
        `getContextType` in class `ExceptionScopeInstance`

    - #### handleException

          public void handleException(ExceptionHandler handler,
                                      String exception,
                                      Object params)

      Specified by:
        `handleException` in class `ExceptionScopeInstance`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.